## org.eclipse.emf.codegen.jmerge
Class JControlModel.SweepRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.SweepRule
          org.eclipse.emf.codegen.jmerge.JControlModel.SweepRule

Enclosing class:
  JControlModel

Deprecated. in 2.2.0. Use `JControlModel.SweepRule` instead.

    @Deprecated
    public static class JControlModel.SweepRule

extends JControlModel.SweepRule

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.SweepRule
`JControlModel.SweepRule.Action`

Field Summary
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.SweepRule
`action, markup, name, newName, parentMarkup, selector`

Constructor Summary
`JControlModel.SweepRule()` Deprecated.
`JControlModel.SweepRule(org.w3c.dom.Element element)` Deprecated.

Method Summary
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.SweepRule
`getAction, getMarkup, getName, getNewName, getParentMarkup, getSelector, initialize, setAction, setMarkup, setName, setNewName, setParentMarkup, setSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.SweepRule

    public JControlModel.SweepRule()

  Deprecated.

### JControlModel.SweepRule

    public JControlModel.SweepRule(org.w3c.dom.Element element)

  Deprecated.

Method Detail

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.